#ifndef __a320_sound_h__
#define __a320_sound_h__

#ifdef __cplusplus
extern "C" {
#endif

#define A320SAMPLE_RATE 44100
#define SNDLENGTH 2048

extern signed short a320_sound_emu[SNDLENGTH];  // Sound buffer


extern inline int a320_getCurSound();

extern volatile int curSound;
extern void *a320_sound_bufs[16];

extern void a320_sound_pause(int yes);
extern void a320_sound_init(void);
extern void a320_sound_stop(void);

#ifdef __cplusplus
}
#endif

#endif
